Function leaveAD([string]$dnsName, [string]$adJoinUserName, [string]$ADJoinPassword, [string]$computerName) {
    try {
        If (-Not [System.Diagnostics.EventLog]::SourceExists("adLeaveScript")) {
            New-EventLog –LogName Application –Source “adLeaveScript”
            Write-EventLog –LogName Application –Source “adLeaveScript” –EntryType Information –EventID 100 –Message “adLeaveScript event log created.”
        }
        $secpasswd = [System.Text.Encoding]::UTF8.GetString([System.Convert]::FromBase64String($ADJoinPassword)) | ConvertTo-SecureString -asPlainText -Force
        $creds = New-Object System.Management.Automation.PSCredential ("$adJoinUserName@$dnsName", $secpasswd)
        Write-EventLog -LogName "Application" -Source "adLeaveScript" -EventID 110 -EntryType Information -Message "Removing $computerName from AD."
        Remove-ADComputer -Identity "$computerName" -Confirm:$False -credential $creds
    }
    catch [Exception] {
        $msg = $_.Exception.Message
        Write-Error ("MAD-AD-906: " + $msg)
        exit -1
    }

}

